<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_devel\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Returns responses for UI Patterns Devel routes.
 *
 * @codeCoverageIgnore
 * @deprecated in ui_patterns:2.0.0-beta5 and is removed from ui_patterns:2.0.0-rc1. Replaced by sdc_devel.
 * @see https://www.drupal.org/project/ui_patterns/issues/3489973
 */
final class UIPatternsDevelDeprecate extends ControllerBase {

  /**
   * Builds the response.
   *
   * @return array
   *   The built response array.
   */
  public function __invoke(): array {
    $link = 'https://www.drupal.org/project/sdc_devel';
    return [
      '#type' => 'html_tag',
      '#tag' => 'p',
      '#value' => $this->t('UI Patterns Devel has been replaced by standalone module <a href="@link">SDC Devel</a>, and will be removed before UI Patterns 2.0.0-rc1, please uninstall and replace this module.', ['@link' => $link]),
      '#attributes' => [
        'class' => [
          'messages',
          'messages--warning',
        ],
      ],
    ];
  }

}
